Package org.apache.sling.resourceresolver.impl.helper

# Class UniqueResourceIterator

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.AbstractIterator<org.apache.sling.api.resource.Resource>
org.apache.sling.resourceresolver.impl.helper.UniqueResourceIterator

All Implemented Interfaces:
  `Iterator<org.apache.sling.api.resource.Resource>`

public class UniqueResourceIterator extends AbstractIterator<org.apache.sling.api.resource.Resource>
This iterator removes duplicated Resource entries. Regular resources overrides the synthetic ones.

## Constructor Summary

Constructors
Constructor
Description
`UniqueResourceIterator(Set<String> visited, Iterator<org.apache.sling.api.resource.Resource> input)`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.sling.api.resource.Resource`
`seek()`
Abstract method to be overriden by subclasses

### Methods inherited from class org.apache.sling.resourceresolver.impl.helper.AbstractIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### UniqueResourceIterator

public UniqueResourceIterator(Set<String> visited, Iterator<org.apache.sling.api.resource.Resource> input)

## Method Details

### seek

protected org.apache.sling.api.resource.Resource seek()
Description copied from class: `AbstractIterator`
Abstract method to be overriden by subclasses

Specified by:
  `seek` in class `AbstractIterator<org.apache.sling.api.resource.Resource>`